Γιατί είναι απαραίτητες οι αναβαθμίσεις ασφαλείας στο WordPress;

Αν το website σας βασίζεται σε WordPress είναι πολύ σημαντικό να διασφαλίσετε πως βρίσκεται πάντα ενημερωμένο με τις τελευταίες εκδόσεις.

Οι ενημερώσεις είναι ουσιαστικά αναβαθμίσεις ασφαλείας, καθώς – μεταξύ άλλων – “κλείνουν” τα κενά ασφαλείας. Οι αναβαθμίσεις είναι απαραίτητες προκειμένου το website σας να μην πέσει “θύμα” hackers ή hacker bots και έτσι α) χάσει όλη την αξία που θα έχει στο Google και β) χάσει αξία στα μάτια των πελατών σας.

Το WordPress είναι μια πλατφόρμα που ανανεώνεται με security updates συνεχώς, τα οποία αν δεν εφαρμόζονται, είναι στατιστικά πολύ πιθανό να τα εκμεταλλευθούν hacker bots (προσοχή, όχι άνθρωποι, αλλά scripts που “τρέχουν” από hackers και εντοπίζουν αυτόματα τα WordPress sites χωρίς security).

Οι αναβαθμίσεις λοιπόν προσφέρουν στο λογισμικό την ασφάλεια που χρειάζεται, προκειμένου να μην έχει «τρύπες ασφαλείας» (security holes).

Οι αναβαθμίσεις είναι καλό να διενεργούνται από την εταιρία που έχει και την υποστήριξη του website σας. Αν δεν επιλέξετε τις αναβαθμίσεις, θα πρέπει απαραίτητα κάποιος τρίτος να το κάνει, είτε κάποιος εξειδικευμένος υπάλληλος μέσα από την εταιρία σας, είτε κάποιος εξειδικευμένος συνεργάτης σας.

Είναι πολύ σημαντικό να μην αφήσετε το site σας χωρίς την προστασία των αναβαθμίσεων. Σε περίπτωση που φιλοξενείτε το WordPress website σας στην εταιρία μας, η interTEN δεν είναι υπεύθυνη σε περίπτωση που το website σας γίνει hacked. Θα προσπαθήσουμε βεβαίως να το “καθαρίσουμε” ή να το επαναφέρουμε, όμως αυτό θα έχει επιπλέον κόστος, δε θα είναι απόλυτα εγγυημένο αν θα πετύχει, ενώ μετά την επαναφορά του θα απαιτηθεί έτσι κι αλλιώς αναβάθμιση. Ενημερωτικά, από το 2014, όλοι μας οι πελάτες έχουν και αυτή την υπηρεσία.

Σχετικά με τις αναβαθμίσεις ασφαλείας, σας παραθέτουμε και σχετικό note από το πιο δημοφιλές website για το WordPress, το WPBeginner (πηγή)

Security is arguably the most important reason why you should keep your WordPress website up to date. WordPress currently powers 23% (σ.σ. την ημερομηνία που γράφεται το post, το ποσοστό είναι αρκετά μεγαλύτερο) of all websites in the world. Due to it’s immense popularity, WordPress is a popular target for hackers, malicious code distributors, data thieves, and wanna be hackers. Since WordPress is open source, anyone can study the source code to learn and improve it. However it also means that hackers can study it too and find ways to break into websites. Now the good part is that not all hackers are bad. There are a lot more good hackers than bad ones which means that security experts around the world can study the code and properly report security bugs / fixes. Every time a security vulnerability is reported, the core WordPress team works diligently to release an update that fixes the issue. This means that if you are not using the latest version of WordPress, then you are using software with known security vulnerabilities. Hackers can search for websites running the older version, and you may become a victim of a sophisticated attack. Not just WordPress itself, plugins can also be exploited by hackers. You need to make sure that all your WordPress plugins, themes, and the core itself is always up to date.

Σε περίπτωση που ενδιαφέρεστε να αναλάβουμε τις αναβαθμίσεις και στο δικό σας WordPress website, μη διστάσετε να επικοινωνήσετε μαζί μας.

Posted on 01/07/2017 in Blog

Share the Story

Back to Top